### Method

# St ScrollView set_child

#### Declaration [src]

    void
    st_scroll_view_set_child (
      StScrollView* scroll,
      StScrollable* child
    )

#### Description [src]

Sets `child` as the content of `scroll`.

If `scroll` already has a child, the previous child is removed.

Sets property | `St.ScrollView:child`

#### Parameters

`child`

  Type: `StScrollable`

  A `StScrollable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.